SAUNAFS-ADMIN(8)

NAME
saunafs-admin, saunafs-probe - SaunaFS monitoring and administration tool

SYNOPSIS

saunafs-admin COMMAND [OPTIONS...] [ARGUMENTS...]

NOTES

saunafs-probe is deprecated, saunafs-admin should be used instead.

AVAILABLE COMMANDS

chunks-health <master ip> <master port>
    Returns chunks health reports in the installation. By default (if no report is specified) all reports will be shown. In replication and deletion states, the column means the number of chunks with number of copies specified in the label to replicate/delete.

    --porcelain

    Make the output parsing-friendly.

    --availability

    Print report about availability of chunks.

    --replication

    Print report about about number of chunks that need replication.

    --deletion

    Print report about about number of chunks that need deletion.

info <master ip> <master port>
    Prints statistics concerning the SaunaFS installation.

    --porcelain

    Make the output parsing-friendly.

iolimits-status <master ip> <master port>
    Prints current configuration of global I/O limiting

list-chunkservers <master ip> <master port>
    Prints information about all connected chunkservers.

    --porcelain

    Make the output parsing-friendly.

list-defective-files <master ip> <master port>
    Lists files which currently have defective chunks.

    --porcelain

    Make the output parsing-friendly.

    --unavailable

    Print unavailable files

    --undergoal

    Print files with undergoal chunks

    --structure-error

    Print files/directories with structure error

    --limit=

    Limit maximum number of printed files

list-disks <master ip> <master port>
    Prints information about all connected chunkservers.

    --porcelain

    Make the output parsing-friendly.

    --verbose

    Be a little more verbose and show operations statistics.

list-goals <master ip> <master port>
    List goal definitions.

    --porcelain

    Make the output parsing-friendly.

    --pretty

    Print nice table

list-mounts <master ip> <master port>
    Prints information about all connected mounts.

    --porcelain

    Make the output parsing-friendly.

    --verbose

    Be a little more verbose and show goal and trash time limits.

list-metadataservers <master ip> <master port>
    Prints status of active metadata servers.

    --porcelain

    Make the output parsing-friendly.

metadataserver-status <master ip> <master port>
    Prints status of a master or shadow master server

    --porcelain

    Make the output parsing-friendly.

list-tasks <master ip> <master port>
    Lists tasks which are currently executed by master

manage-locks <master ip> <master port> [list/unlock] [flock/posix/all]
    Manage locks.

    --porcelain

    Make the output parsing-friendly.

    --active

    Print only active locks

    --pending

    Print only pending locks

    --inode=

    Specify an inode for operation

    --owner=

    Specify an owner for operation

    --sessionid=

    Specify a sessionid for operation

    --start=

    Specify a range start for operation

    --end=

    Specify a range end for operation

ready-chunkservers-count <master ip> <master port>
    Prints number of chunkservers ready to be written to.

promote-shadow <shadow ip> <shadow port>
    Promotes metadata server. Works only if personality ha-cluster-managed is used. + Authentication with the admin password is required.

stop-master-without-saving-metadata <master ip> <master port>
    Stop the master server without saving metadata in the metadata.sfs file. Used to quickly migrate a metadata server (works for all personalities).

    Authentication with the admin password is required.

reload-config <master ip> <master port>
    Requests reloading configuration from the config file. This is synchronous (waits for reload to finish).

    Authentication with the admin password is required.

save-metadata <metadataserver ip> <metadataserver port>
    Requests saving the current state of metadata into the metadata.sfs file. With --async fail if the process cannot be started, e.g. because the process is already in progress. Without --async, fails if either the process cannot be started or if it finishes with an error (i.e., no metadata file is created).

    Authentication with the admin password is required.

    --async

    Don’t wait for the task to finish.

stop-task <master ip> <master port> <task id>
    Stop execution of task with the given id

list-session <master ip> <master port>
    Lists all currently open sessions.

delete-session <master ip> <master port> <session_id>
    Deletes the specified session.

dump-config <master ip> <master port>
    Dumps the configuration files of the master server

    Authentication with the admin password is required

OPTIONS

-v, --version
    Print version and exit

REPORTING BUGS

Report bugs to the Github repository https://github.com/leil/saunafs as an issue

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see http://www.gnu.org/licenses/.